#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorRankingCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//名次
	int mStartRank;
	//名次
	int mEndRank;
	//奖励
	std::vector<int> mRewardList;
	//上榜限制
	int mLimit;
};

class Fish_SeniorRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorRankingCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorRankingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorRankingCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorRankingCFGData> mMapData;
};
